 Welcome to the Printer/MFP Installer

Welcome to the Printer/MFP Installer

Thank you for purchasing this product.

This installer will guide you through the installation process for easy setting of standard print settings.

About Help

Help provides a detailed explanation for each printer setting. See Help when changes from standard settings are required.

Disclaimer

We are not responsible for any damage or loss suffered as a result of infection by a computer virus.
The contents of this Help are subject to change without notice.

Trademarks

"Microsoft" and "Windows" are registered trademarks of Microsoft Corporation.
Other company names or product names are trademarks of the corresponding companies. Trademark symbols are not displayed in Help.


 Selecting what to set up

Selecting what to set up

Select what to set up in the installer.

  • Installing printer
  • Updating printer driver
  • Uninstalling printer driver

Installing printer

The printers connected to the computer by USB cables and the TCP/IP printers on the same network will be automatically detected. It is also possible to install printers by specifying an IP address or IP hostname. To do so, select the installation menu for the printer and then click the [Specify the Printer/MFP Except for the Above] radio button.

    IP version selection for network printer

    At network printers detection, you can select the preferentially used IP version, IPv4 or IPv6, by a radio button. If the same printer or MFP is detected with both IP versions, the IP version which is selected here is adopted. If it is detected with either one of the IP versions, the detected IP version is adopted despite this setting.

    Reference: It is not displayed when you cannot select the IP version by the combination of OS and printer/MFP.

Updating printer driver

This updates the printer driver already installed on the computer to the latest version.

Caution!
The computer must be restarted after you update the driver. In addition, all driver settings will be initialized.

Uninstalling printer driver

This uninstalls the previously installed printer driver.

Caution!
The computer must be restarted after you uninstall the driver.


 Installing Printer/MFP

Installing Printer/MFP

Start by specifying the printer/MFP to be installed. The printer/MFP can be designated with either of the following 2 methods.

  • Select the printer/MFP from the list of detected printers (This method is selected by default.)
  • Specify the printer/MFP manually

Select the printer/MFP from the list of detected printers (This method is selected by default.)

All printers/MFPs connected by TCP/IP to the network used by the computer will be automatically detected and listed.

[Setup Steps]

  1. Confirm that the printer/MFP to be installed has been listed and that its check box is checked.

    2. By default all printers/MFPs not currently installed on the computer will be shown as checked.

  2. Adjust check marks so that only the printer to be installed is checked, and then click [Next].

    3. Printers/MFPs already installed on the computer are detected but shown as not checked. To reinstall one of these, check its check box and then click [Next]. Several printers/MFPs can be installed at the same time by checking their corresponding check boxes.

    When a printer/MFP to be installed is not shown on the list, check the following 2 items.

    • Is the printer/MFP properly connected to the network?
    • Has power for the printer/MFP been turned on?

Reference: Selecting the printing protocol
When the printer is enabling use of two or more printing protocols, such as Normal Printing, Internet Printing and Secure Printing, you can choose the printing protocol.

Note: When printer/MFP is connected to another network
When the printer/MFP to be installed is connected to another network, the [Search Setting] button must be pressed and the other subnet specified.

Specify the printer/MFP manually

A printer/MFP cannot be automatically detected when the it is connected to the computer by a parallel cable or when it is connected to a print server. Specify the printer manually in these situations.

[Setup Steps]

  1. Select the radio button for [Specify the Printer/MFP Except for the Above].
  2. Click the [Refer to...] button and specify the printer/MFP to be installed.


 Specifying search parameters for other networks

Specifying search parameters for other networks

By default this installer detects only printers/MFPs on the same network. Set search parameters by either of the following methods to detect printers/MFPs on other networks.

  • Specify by IP address
  • Specify by subnet

Specify by IP address

Specify the IP address and subnet mask of the printer/MFP to be installed.
By default a subnet mask suitable for a class C network environment is entered. Change this setting as required.

Specify by subnet

Specify the address of the subnet within the desired search range.
By default a subnet mask suitable for a class C network environment is entered. Change this setting as required.

What to do if the printer to be installed is not found...


 Manually specifying a printer/MFP

Manually specifying a printer/MFP

There are 4 ways to manually specify a printer/MFP. Press the [Refer to...] button, and then select the device to be installed.

  • Specify printer sharing
  • Specify the IP address
  • Specify the IP hostname
  • Specify the URL
  • Select local port

Specify printer sharing

Select this option when specifying a printer/MFP to be used in one of the following operating environments.

  • A printer/MFP connected to a Microsoft Network
  • A printer/MFP shared by Windows

Specify the IP address

Specify the IP address of the printer/MFP to be installed. This is convenient when you know the IP address for a printer/MFP under a different subnet mask.

Specify the IP hostname

Enter the IP hostname for the printer/MFP to be installed. This is convenient when you know the IP hostname for a printer/MFP under a different subnet mask.

Specify the URL

Specify the URL of the printer/MFP to be installed. Select this option when installing an internet printer.

Select local port

Select this option when installing a printer/MFP that will use a local port on the computer.


 Checking installation details

Checking installation details

Check the settings to be used during installation. The displayed data will become the default settings.
If the displayed defaults are suitable, press the [Install] button to start installation.
If the installation data should be changed, press the [Installation Settings] button and then change the data in the installation settings window.

  • Printer path
  • Changing the language of the drivers to be installed
  • Components to be installed

Printer path

This displays how the printer/MFP connects to the computer.

Language of driver to be installed

This displays the language of the printer drivers to be installed.

Components to be installed

This displays the type of printer drivers and other utilities to be installed.


 Changing installation data

Changing installation data

When changing data to be installed, click the [Installation Settings] button, and then change the settings in the installation settings window.

  • Changing the language of the drivers to be installed
  • Selecting/Deselecting components to be installed

Changing the language of the drivers to be installed

This changes the language of the drivers to be installed.

Selecting/Deselecting components to be installed

This allows selection/deselection of the types of drivers and other tools to be installed. Select multiple drivers to have them installed at the same time.

Reference: At least 1 driver must be selected. A driver cannot be deselected if it is the only one selected.


 Adjusting settings for an installed printer/MFP

Adjusting settings for an installed printer/MFP

The following settings can be adjusted after a printer/MFP has been installed.
When several printers/MFPs have been installed at the same time, first select the printer to be adjusted and then select each of the following buttons.

  • Default Printer
  • Rename Printer
  • Property
  • Print Settings
  • Print Test Page

Default Printer

This selects the installed printer/MFP as the default printer for the computer. When not changing the default printer, select "Do not change" or select another printer from the list for use as the default printer.

Rename Printer

This changes the default name for the printer/MFP. The name entered here will become the printer name displayed on the computer.

Property

This opens the Properties window for the installed printer/MFP to allow adjustment of properties. Settings made in this window will be reflected in the Printer Properties in the Control Panel.

Caution!
Please use [Rename Printer] button to change the printer name. An error may occur if you change the printer name in the Properties window.

Print Settings

This opens the driver’s print settings window for the installed printer/MFP to allow adjustment of print settings. Settings made in this window will be reflected in the driver.

Print Test Page

This prints a driver test page for the installed printer/MFP. This confirms that installation has been successful.


 Updating printer driver

Updating printer driver

This updates the printer driver already installed on the computer to the latest version.

[Setup Steps]

  1. The dialog box for selecting the printer driver will display a list of drivers that you can update.
    (Updating is only possible if the printer driver installed on the computer is older than the one distributed with the installer or via the Internet.)
  2. Make sure the driver you want to update is selected before clicking the [Install] button.
  3. A message prompting you to restart the computer will be displayed.
    (You can restart later, but you will not be able print using the printer with the updated driver until then.)

Caution!
The computer must be restarted after you update the driver. In addition, all driver settings will be initialized.

Reference 1: Adding a printer without updating the driver
When you select the [Install printers/MFPs] menu, the dialog box for updating the printer driver will be displayed if a driver older than version contained in the installer is detected. In that case, you can choose to update the driver or use the current driver if you do not want to update it.
To install the printer without updating the driver, select the [Use the current driver] check box and then continue with the installation.

Reference 2: Updating a driver will update it for all printers that use it on the computer.

Reference 3: The installer detects the language of the driver installed on the computer and automatically updates the driver using that language.


 Deleting printer driver

Uninstalling printer driver

This uninstalls the printer driver previously installed in the computer.

[Setup Steps]

  1. The dialog box for selecting the printer driver will display a list of drivers that you can uninstall.
  2. Make sure the driver you want to uninstall is selected before clicking the [Uninstall] button.
  3. If there are any printers that will be deleted by uninstalling the driver, a list of them will be displayed. Clicking[OK] deletes the driver and any printers that use it.
  4. A message prompting you to restart the computer will be displayed.
    (You can restart later, but if you try to install a printer or update a driver without first restarting, the operation may not succeed.)

Caution!
The computer must be restarted after you uninstall the driver.

Note1: When you uninstall a driver, drivers that were installed for sharing the printer with computers running other OSes will also be uninstalled.


 Welcome to the Printer/MFP Installer

Installation License Agreement

This explains the license agreement for this application.
Carefully read the license agreement and press the [AGREE] button if you agree with the terms of the agreement.


 When the printer/MFP is not detected

When the printer/MFP is not detected

Check the following items.

  • Is the printer/MFP properly connected to the network?
  • Has power for the printer/MFP been turned on?

Note:
This installer program uses SNMP broadcast to detect the printer/MFP for the network/address specified in the [Search Setting] dialog box. Some networks may be configured to not allow SNMP broadcast packets to pass through. The printer/MFP will not be detected on such networks.
In that case, install the printer/MFP by specifying its IP address or IP hostname in the [Specify the Printer/MFP Except for the Above] dialog box.